View Issue Details

IDProjectCategoryView StatusLast Update
0015185LazarusLCLpublic2014-04-12 11:55
Reporterliangby Assigned ToZeljan Rikalo  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version0.9.28.2 
Target Version1.4 
Summary0015185: if envement GTK_IM_MODULE set to scim-bridge, input in lazarus is doubled
Descriptionfirst, install scim and scim-bridge, scim-bridge-gtk, then reboot.
desktop is gnome.
in terminal, type env | grep GTK_IM_MODULE, make sure output is scim-bridge.
then, start lazarus, and type somthing in source editor, object inspector, or application with edit component. all typed char is doubled: if input a, result is aa.
target os:centos 5
scim home page:http://sourceforge.net/apps/mediawiki/scim/index.php?title=Main_Page
TagsNo tags attached.
Fixed in Revision44697
LazTarget1.4
WidgetsetGTK 2
Attached Files

Relationships

has duplicate 0012600 resolvedBart Broersma input once, display twice 
has duplicate 0013185 resolvedBart Broersma Key presses behave strangely 
related to 0022507 resolvedJuha Manninen error writing accented characters 
related to 0023140 resolvedZeljan Rikalo double charcter input in many text input components 

Activities

Zeljan Rikalo

2014-04-12 11:55

developer   ~0074342

Please test and close if ok.

Issue History

Date Modified Username Field Change
2009-11-25 15:34 liangby New Issue
2009-11-25 15:34 liangby Widgetset => GTK 2
2009-11-25 15:40 Vincent Snijders LazTarget => 1.0
2009-11-25 15:40 Vincent Snijders Status new => acknowledged
2009-11-25 15:40 Vincent Snijders Target Version => 1.0.0
2009-12-02 11:53 Bart Broersma Relationship added has duplicate 0012600
2011-10-19 15:37 Bart Broersma Relationship added has duplicate 0013185
2012-02-04 13:20 Zeljan Rikalo LazTarget 1.0 => 1.2
2012-03-13 07:50 Vincent Snijders Target Version 1.0.0 => 1.2.0
2012-08-01 00:42 Juha Manninen Relationship added related to 0022507
2012-10-19 14:06 Bart Broersma Relationship added related to 0023140
2014-01-14 15:10 Martin Friebe LazTarget 1.2 => 1.4
2014-01-14 15:12 Martin Friebe Target Version 1.2.0 => 1.4
2014-04-12 11:55 Zeljan Rikalo Fixed in Revision => 44697
2014-04-12 11:55 Zeljan Rikalo Note Added: 0074342
2014-04-12 11:55 Zeljan Rikalo Status acknowledged => resolved
2014-04-12 11:55 Zeljan Rikalo Resolution open => fixed
2014-04-12 11:55 Zeljan Rikalo Assigned To => Zeljan Rikalo